Name:           python-txtai
Version:        8.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        All-in-one open-source embeddings database for semantic search, LLM orchestration and language model workflows

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/neuml/txtai
Source:         %{pypi_source txtai}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'txtai' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-txtai
Summary:        %{summary}

%description -n python3-txtai %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-txtai agent,all,ann,api,cloud,console,database,dev,graph,model,pipeline,pipeline-audio,pipeline-data,pipeline-image,pipeline-llm,pipeline-text,pipeline-train,scoring,similarity,vectors,workflow


%prep
%autosetup -p1 -n txtai-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x agent,all,ann,api,cloud,console,database,dev,graph,model,pipeline,pipeline-audio,pipeline-data,pipeline-image,pipeline-llm,pipeline-text,pipeline-train,scoring,similarity,vectors,workflow


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-txtai -f %{pyproject_files}


%changelog
%autochangelog